# title: Bruma Roja
# author: ruber eaglenest

CONST grey = 1
CONST red = 2
CONST yellow = 3

VAR haze  = grey
VAR deserter = 0
VAR bomb_detonated = false


-> init

=== init

~haze  = grey
~deserter = 0
~bomb_detonated = false


<em>Enough for me to die on her earth
<em>be buried in her
<em>to melt and vanish into her soil
<em>then sprout forth as a flower</em></em></em>

Fadwa Tuqan – <em>Enough for Me</em>

<h3>Bruma Roja</h3>
Una pesadilla por Ruber Eaglenest.

Planificado durante un par de semanas en el mes de Octubre de 2023. Escrito en menos de cuatro horas para ECTOCOMP2023

Advertencia de contenido: Escenas de guerra, cuerpos sin vida, sangre.

+ [Continuar]
    -> habitacion


	
=== habitacion ===

<h4>Habitación de hotel</h4>

{ haze:

- grey:

La bruma gris se filtra por las dobles cortinas de la ventana, que mantienen a raya la lluvia y la oscuridad de la noche, pero no consigue tapar el sonido distante de las detonaciones.

La cama está lista para pasar la noche. En frente hay una televisión en la pared que emite constantemente las noticias. El baño está hacia el oeste, y hacia el sur está la puerta de salida.

Sobre la mesita de noche hay un reloj-despertador con pantalla led.

- red:

La bruma roja se filtra por las dobles cortinas de la ventana. La lluvia suena más pesada y viscosa, y un creciente murmullo surge desde las profundidades de la ciudad.

La cama aparece revuelta. En frente la televisión emite un brillo blanquecino.

Sobre la mesita de noche hay un reloj-despertador que parpadea en rojo.

- yellow:

La luz de la mañana se filtra por las dobles cortinas de la ventana, que mantienen a raya la extraña niebla amarilla que pende sobre la ciudad asediada por la guerra.

La cama está revuelta después de pasar una mala noche. En frente hay una televisión en la pared que emite constantemente las noticias. El baño está hacia el oeste, y hacia el sur está la puerta de salida.

Sobre la mesita de noche hay un reloj-despertador con pantalla led.

}

- (opts)

+ { haze == grey } [Examina la ventana]
    La impresionante vista de esta ciudad extranjera está tapada por una bruma gris que lo cubre y lo empapa todo. Destellos fugaces anaranjados iluminan las nubes y se escucha {el eco de una detonación|el aullido de una sirena} a lo lejos.
    
+ { haze == red } [Examina la ventana]
    -> blood

+ { haze == yellow } [Examina la ventana]
    La vista está cubierta por una espesa cortina de humo que apenas deja entrever los edificios. La luz del amanecer se filtra por entre la niebla y los incendios cercanos impregnan todo de un fulgor amarillo. Las explosiones y las detonaciones se escuchan cercanas, y las sirenas de alarma resuenan por toda la ciudad.

+ { haze == grey} [Examina la cama]
    -> cama
    
+ { haze != grey} [Examina la cama]
    Sábanas y mantas para pasar la fría noche.

+ { haze == grey } [Examina la televisión]
    -> tele_grey
    
+ { haze == red } [Examina la televisión]
    La televisión solo muestra estática.

+ { haze == yellow } [Examina la televisión]
    -> tele_yellow

+ [Examina el reloj-despertador]
        -> reloj_led

* [Ir al baño]
        No necesitas ir al baño.

* {haze == grey and deserter==0} [Salir de la habitación]
        Fuera está lloviendo y está oscuro.
        ~deserter++
* {haze == grey and deserter==1} [Salir de la habitación]
        Si sales ahí fuera, no sabrías dónde buscar. Las autoridades han recomendado que permanezcamos en el hotel.
        ~deserter++
* {haze == grey and deserter==2} [Salir de la  habitación]
        No puedes esperar más. Sales con lo puesto al frío de la noche. Sin saber qué hacer ni a dónde ir te pierdes irremediablemente.
        <strong>*** PERDIDO EN LA NOCHE ***</strong>
        -> the_end
        
* {haze == red} [Salir de la habitación]
    Caes de la cama y te apresuras hacia la puerta de salida.
    
    Proveniente del exterior se escucha el silbido de las bombas que llegan. Una detona en el exterior y la ventana estalla llenándolo todo de agua y cristales. Otra destruye el edificio de al lado, y luego cae otra, y otra. Pronto no quedará nada.
    
    <strong>*** BOOM ***</strong>
	-> the_end
	
* {haze == yellow} [Salir de la habitación]
    Sales de la habitación con lo puesto. La gente corre y grita por los pasillos.  Les sigues. Los ascensores no funcionan. Desciendes atropelladamente por las escaleras de emergencia que no parecen tener fin. Al llegar a la recepción te empujan hacia la salida. En el exterior todo es caos y confusión.
    
    Debo irme, piensas, no hay nada que puedas hacer cuando cuando tú eres el próximo.
    
    <strong>*** EVACUADO ***</strong>
	-> the_end

- -> opts

= blink

Abres los ojos. {~Has estado soñando despierto.|¿Dónde estás?|Cuando miras de nuevo, se ha desvanecido.|El sueño se ha desvanecido.|Tienes la vista borrosa.}

+ [mirar alrededor]
    -> habitacion

-> DONE

= shake

Con un gran esfuerzo sacudes la pesadilla fuera de tu cabeza.

+ [Mirar alrededor]
    -> habitacion

-> DONE

= unfocus

Pierdes {&el foco|la atención}.

+ [Mirar alrededor]
    -> habitacion

-> DONE



=== reloj_led ===

Es un reloj despertador de panel led rojo.

Marca las <>

{ haze:

- grey: <>once pasadas de la noche.

- red: <>{&3:33|6:66|2:07|-:--|1:99|23:23}

- yellow: <>siete de la mañana.

}

-> habitacion.opts










### Primera rama ###

=== cama ===

Sábanas y mantas para pasar la fría noche. Desde la televisión provienen voces de gritos, mientras la lluvia sigue golpeando el cristal de la ventana.


- (opts)

+ [Alargar la mano y tocarle]
    -> reach_her

+ [Examinar la televisión]
    -> tele_grey

+ [Mirar alrededor]
    -> habitacion

- -> opts

=== reach_her ===

No está aquí, pero si bloqueas las voces que resuenan en tu cabeza casi puedes sentirle.

- (opts)
* [Tocarle]
    Pero no está aquí. Está fuera de alcance.
* {CHOICE_COUNT() < 1} [Olerle]
    Las sábanas aún conservan parte de su olor.
* {CHOICE_COUNT() < 1} [Besarle]
    Sencillamente no está aquí.
    -> habitacion.blink
+ [Examinarle]
    -> costado
+ [Escuchar voces]
    -> tele_grey
+ [Mirar alrededor]
    -> habitacion

- -> opts

=== tele_grey ===

{La televisión muestra una emisión en directo que es un caos de confusión.|La televisión vuelve a mostrar en bucle la emisión anterior:} Gritos de terror, personas que corren de un lado a otro, mientras las detonaciones de las bombas sacuden la emisión y el reportero intenta levantar su voz por encima del estruendo creciente.

- (opts)
* [Examinar personas]
    Pieles y acentos desconocidos. Aquí tu eres el extranjero.
+ [Cuánta violencia sin sentido]
    -> evacuation
+ [Dejar de mirar]
    -> habitacion

- -> opts

=== costado ===

Descansas tus ojos en su costado. El murmullo fuera de la cama se calma.
- (opts)
* [Olerle]
    Cierras los ojos y sí, está ahí.
* {CHOICE_COUNT() < 1} [Abrazarle]
    -> held_each
+ [Examinarle]
    Sabes que si abres los ojos ya no estará ahí.
+ [Abrir los ojos]
    -> habitacion.blink

- -> opts

=== held_each ===

Tu mano descansa sobre su costado y su cuerpo se vuelve con un movimiento acompañado del sonido de su risa. Su olor te llena por completo. En el exterior las estrellas brillan intensamente y juntos os abrazáis. 
- (opts)
* [Tocarle]
    Sientes el roce suave de su piel bajo las yemas de tus dedos
+ {CHOICE_COUNT() < 1} [Decirle Te quiero]
    ->face_dissolve
+ [Besarle]
    -> face_dissolve
+ [Abre los ojos]
    -> habitacion.blink

- -> opts

=== face_dissolve ===

En el silencio y la oscuridad, os abrazáis fuertemente. Muy cerca de sus labios prometéis que esta noche durará para siempre.

+ [Besarle]
    Asciendes las manos para tocarle la cara y justo antes de tocar sus labios no puedes evitar mirarle a los ojos...
    
    ... Y su cara se disuelve entre tus dedos. Intentas atraparlo, grabar aquel momento en tu memoria, pero el recuerdo de sus facciones comienza a desaparecer. Temes que te olvides incluso de su cara, y te preguntas si alguna vez más volverás a verle. 
    
    La oscuridad se hace más intensa y un fulgor rojizo invade la habitación.
    
    ~haze = red
    
-

+ [Mirar alrededor]
    -> habitacion

=== evacuation ===

La emisión cambia a la escena de un hotel donde la policía apresura a las personas a abandonar el lugar, mientras el presentador informa de cómo se está produciendo la evacuación de toda la zona sur de la ciudad.
- (opts)
* [Examinar personas]
     Extranjeros como tú, desubicados, y atrapados en una guerra que no les pertenece, apresurándose a huir arrastrando tras de sí sus maletas.
+ [Personas solitarias y habitaciones vacías]
    -> fosas_comunes
+ [Dejar de mirar]
    -> habitacion

- -> opts

=== fosas_comunes ===

El presentador informa, consternado, de la dureza de las imágenes que se van a ver a continuación. Una cámara recorre la cuneta de una carretera donde se ha abierto una fosa común en la cual se apilan los cadáveres por docenas.
- (opts)
+ [Examina las personas]
    Hombres, mujeres, niños, niñas y bebés, todos sin vida, formando hileras interminables que la cámara recorre para que se perciban sus facciones.
+ [Tumbas silenciosas]
    -> no_danger
+ [Aterrado dejas de mirar]
    -> habitacion

- -> opts

=== no_danger ===

El presentador informa que interrumpe la emisión para transmitir un mensaje del primer ministro, desde la capital del país.

Dice que la situación está controlada, que la policía y el ejército han repelido el ataque de las fuerzas de ocupación, y que las personas en la ciudad no tienen nada que temer.

- (opts)
+ [Examina el primer ministro]
    De facciones serias, lee de un papel en su mano. De fondo tiene un mural con la bandera de este país.
+ [Pero puedes ver y escuchar las detonaciones en la distancia]
    -> tele_grey
+ [Dejas de mirar]
    -> habitacion

- -> opts











### The Nightmare (segunda rama) ###

=== blood ===

Hay sangre en las ventanas.

{ not bomb_detonated: En las calles cientos de personas gritan tu nombre.|En las calles miles de personas permanecen mudas.}

- (opts)

* [Examina la sangre]
    Gotas de color rojo lo empapan todo.
+ [Examinar a las personas]
    -> people
+ [Sacudir cabeza]
    -> habitacion.shake
    
- -> opts

=== people ===

{not bomb_detonated: Congregadas en las calles, millares de voces te persiguen; las figuras miran y señalan a la escena en el horizonte.|Los cuerpos grises y calcinados se amontonan entre los escombros cubiertas de polvo gris  y pequeños fuegos aquí y allá que nunca se apagan. La bruma amarilla cubre la escena hasta donde alcanza la vista.}

- (opts)
+ [Examinar escena]
    -> horizonte
+ [Sacudir cabeza]
    -> habitacion.shake
    
- -> opts

=== horizonte ===

{not bomb_detonated: Los ríos de sangre fluyen colina arriba.|Los ríos se han convertido en lodazales de color anaranjado}

- (opts)

+ [Examinar ríos]
    -> river
+ [Sacudir cabeza]
    -> habitacion.shake
    
- -> opts

=== river ===

El río llega hasta un lago donde unos niños nadan y juegan con botes.

{not bomb_detonated:Montaña arriba se acerca unos aviones.|Una nueva bomba está cayendo hacia el lago.}

- (opts)
+ [Examinar lago]
    -> lake
+ [Examinar montaña]
    -> plane
+ [Sacudir cabeza]
    -> habitacion.shake
    
- -> opts

=== lake ===

El líquido te rodea. Luchas por no hundirte en este río de sangre.

{bomb_detonated: Desde arriba llueve humo y centellas ardientes.}

- (opts)
+ {not bomb_detonated}[Examinar niños]
      Nadie parece darse cuenta. Actúan como si todo fuera normal.
+ { bomb_detonated}[Examinar niños]
    -> children
+ {not bomb_detonated}[Mirar hacia arriba]
    -> plane
+ [Sacudir cabeza]
    -> habitacion.shake
    
- -> opts

=== plane ===

Una cortina de bombas surgen de los aviones grises que sobrevuelan la ladera.

Un avión vuela algo más bajo que el resto y lanza una bomba.

- (opts)
+ [Examinar bombas]
    -> bomb
+ [Examinar avión]
    -> cabin
+ [Sacudir cabeza]
    -> habitacion.shake

- -> opts

=== bomb ===

Una bomba plateada bastante gruesa. Parece estar compartimentada.

{bomb_detonated: La bomba se abre y expulsa decenas de centellas ardientes que caen sobre la escena como una cortina de humo y fuego amarillo.}

- (opts)
+ {not bomb_detonated} [Examinar avión]
    -> cabin
+ {bomb_detonated} [Mirar hacia abajo]
    -> children
+ [Sacudir cabeza]
    -> habitacion.shake
    
- -> opts

=== cabin ===

Es un avión ligero de color negro. Dentro de la cabina no hay nadie salvo una luz intermitente roja. Parece ser que el avión está controlado a distancia o por una IA.

La luz hace clic, e ilumina la cabina vacía de un fulgor verde.

Se escucha la bomba detonar.

~bomb_detonated = true

+ [Examinar bomba]
    -> bomb
+ [Sacudir cabeza]
    -> habitacion.shake


=== children ===

El fulgor amarillo lo cubre todo, las calles arden, los ríos se evaporan, las centellas se adieren a la gente, a los botes, y a los niños. Y sus cuerpos se disuelven.

~haze = yellow

+ [Y estoy solo]

-

+ [Mira lo que has hecho]

-

¡Buf! ¡Vaya pesadilla más horrible!

Pero aún más terrible ha debido de ser lo que ocurrió anoche mientras veía la televisión. Con suerte dirán en las noticias qué está pasando.

+ [Mirar alrededor]
    -> habitacion













### La mañana siguiente (tercera rama) ###

=== tele_yellow ===

La televisión muestra imágenes de una hilera de cuerpos sin vida colocados en una acera de la calle. La cámara recorre los cuerpos para que se les pueda ver la cara.

- (opts)

* [Buscarle entre las caras]
    {&No le ves.|No está ahí.}
    -> hospital
+ [¡Mira lo que has hecho!]
    -> hospital
+ [Dejar de mirar]
    -> habitacion

- -> opts

-> DONE


=== hospital ===

La televisión muestra un hospital donde una niña está llorando porque busca a su madre, mientras un paramédicos la intenta consolar sin éxito. La niña deambula desorientada entre el personal médico sin parar de gritar que quiere a su mamá.

- (opts)

* [Buscarle entre las caras]
    {&No le ves.|No está ahí.}
    -> cadena
+ [¡Mira lo que has comenzado!]
    -> cadena
+ [Dejar de mirar]
    -> habitacion

- -> opts
-> DONE

=== cadena ===

La cámara muestra una cadena humana mientras van sacando víctimas moribundas de un hospital bombardeado. La mayoría son niños y niñas de corta edad.

El humo y polvo lo cubre todo.

- (opts)

* [Buscarle entre las caras]
    {&No le ves.|No está ahí.}
    -> grey_street
+ [Ahora, mira lo que hiciste y lo que ha pasado]
    -> grey_street
+ [Dejar de mirar]
    -> habitacion

- -> opts
-> DONE

=== grey_street ===

La televisión muestra una calle completamente destruida. Todos los edificios están destruidos y el asfalto no se ve, cubierto de escombros y polvo gris.

Aquí y allá deambulan algunas personas que destacan por su variedad de prendas y camisetas de colores que contrastan con la desolación reinante. Están buscando y removiendo los escombros.

- (opts)

* [Buscarle]
    No crees que quede nadie vivo bajo los escombros.
    -> wasteland
+ [¡No te das cuenta de lo que me estás haciendo!]
    -> wasteland
+ [Dejar de mirar]
    -> habitacion

- -> opts
-> DONE

=== wasteland ===

La cámara muestra una vista aérea del territorio. La desolación gris lo cubre todo. No queda un edificio en pie o un alma con vida.

- (opts)

+  [Pero no ves, ¿no ves lo que has hecho?]
    No hay nada que puedas hacer.
    + + [¿Te das cuenta de lo que has hecho?]
        No hay, no hay nada que puedas hacer. Nada que puedas hacer.
        + + + [¿Pero es que no lo ves, no ves lo que has hecho?]
            No hay nada que puedas hacer.
            No hay, no hay nada que puedas hacer. Nada que puedas hacer.
            No hay nada que puedas hacer.
            No hay nada que puedas hacer.
            ++++  [La escena es un páramo de escombros y polvo gris]
                 <strong>*** NO QUEDA NADIE ***</strong>
                -> the_end

+ [Dejar de mirar]
    -> habitacion
- -> opts
-> DONE






=== curiosidades  ===

Este juego está inspirado, o directamente es una adaptación, de la canción Domino de Genesis. Además tiene exactamente la misma estructura que Lime Ergot, lo cual me permitió escribir rápidamente en menos de 4 horas. Se planificó y realizó durante el mes de Octubre de 2023 mientras veía por Twitter como Israel perpetraba el genocidio sobre el pueblo Palestino.

-> the_end



=== the_end ===

¿Te gustaría RECOMENZAR, {haze == yellow:leer unas CURIOSIDADES}, o RECOMENZAR?

+ [RECOMENZAR]
        # RESTART
       -> END
+ [FINALIZAR]
    -> END
+ {haze == yellow} [CURIOSIDADES]
    -> curiosidades

-> DONE